import request from '@/utils/request'

// 查询选班导入文件列表
export function listMxjbSelectedClassImport(query) {
  return request({
    url: '/mxjb/mxjbSelectedClassImport/list',
    method: 'get',
    params: query
  })
}

// 查询选班导入文件详细
export function getMxjbSelectedClassImport(importId) {
  return request({
    url: '/mxjb/mxjbSelectedClassImport/' + importId,
    method: 'get'
  })
}

// 新增选班导入文件
export function addMxjbSelectedClassImport(data) {
  return request({
    url: '/mxjb/mxjbSelectedClassImport',
    method: 'post',
    data: data
  })
}

// 修改选班导入文件
export function updateMxjbSelectedClassImport(data) {
  return request({
    url: '/mxjb/mxjbSelectedClassImport',
    method: 'put',
    data: data
  })
}

// 删除选班导入文件
export function delMxjbSelectedClassImport(importId) {
  return request({
    url: '/mxjb/mxjbSelectedClassImport/' + importId,
    method: 'delete'
  })
}

export function importTemplate() {
  return request({
    url: '/mxjb/mxjbSelectedClassImport/importTemplate',
    method: 'get'
  })
}

// 导出选班导入文件
export function exportMxjbSelectedClassImport(query) {
  return request({
    url: '/mxjb/mxjbSelectedClassImport/export',
    method: 'get',
    params: query
  })
}
